
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/connector/connector.c |    2 +-
 include/linux/netlink.h       |    1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/linux/netlink.h~connector-netlink-id-fix include/linux/netlink.h
--- 25/include/linux/netlink.h~connector-netlink-id-fix	2005-05-18 23:44:43.000000000 -0700
+++ 25-akpm/include/linux/netlink.h	2005-05-18 23:44:43.000000000 -0700
@@ -14,6 +14,7 @@
 #define NETLINK_SELINUX		7	/* SELinux event notifications */
 #define NETLINK_ARPD		8
 #define NETLINK_AUDIT		9	/* auditing */
+#define NETLINK_CONNECTOR	10	/* kernel connector */
 #define NETLINK_ROUTE6		11	/* af_inet6 route comm channel */
 #define NETLINK_IP6_FW		13
 #define NETLINK_DNRTMSG		14	/* DECnet routing messages */
diff -puN drivers/connector/connector.c~connector-netlink-id-fix drivers/connector/connector.c
--- 25/drivers/connector/connector.c~connector-netlink-id-fix	2005-05-18 23:44:43.000000000 -0700
+++ 25-akpm/drivers/connector/connector.c	2005-05-18 23:44:43.000000000 -0700
@@ -33,7 +33,7 @@ MODULE_LICENSE("GPL");
 MODULE_AUTHOR("Evgeniy Polyakov <johnpol@2ka.mipt.ru>");
 MODULE_DESCRIPTION("Generic userspace <-> kernelspace connector.");
 
-static int unit = NETLINK_NFLOG;
+static int unit = NETLINK_CONNECTOR;
 static u32 cn_idx = CN_IDX_CONNECTOR;
 static u32 cn_val = CN_VAL_CONNECTOR;
 
_
